<?php

namespace Hura8\Interfaces;

interface iPublicEntityController
{
    // get data
    public function getListByIds(array $list_id, array $condition = array()): array;
    public function getList(array $condition): array;
    public function getTotal(array $condition) : int;
    public function getInfo($id): ?array;
}
